Get a screening by ID
curl --request GET \
--url https://api.beltic.com/v1/screenings/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.beltic.com/v1/screenings/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.beltic.com/v1/screenings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "screening/watchlist",
"id": "<string>",
"attributes": {
"query": {},
"has_match": true,
"created_at": "<string>",
"completed_at": "<string>",
"matched_lists": [
{
"name": "<string>",
"url": "<string>",
"list_type": "<string>",
"list_types": [
"<string>"
],
"slug": "<string>",
"flag_code": "<string>",
"country_code": "<string>",
"entities": [
{
"name": "<string>",
"alias_type": "<string>",
"birthdates": [
{
"day": "<string>",
"year": "<string>",
"month": "<string>",
"granularity": "<string>"
}
],
"birthdate": "<string>"
}
],
"match_types": [
"<string>"
]
}
],
"started_at": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"details": {}
}
],
"ignore_list": [
"<unknown>"
]
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "<string>"
}
},
"business": {
"data": {
"type": "business",
"id": "<string>"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"code": "<string>"
}
]
}Screening API
Get Screening
Retrieve a screening by its unique identifier. Returns the latest state including partial or in-progress states.
GET
/
v1
/
screenings
/
{id}
Get a screening by ID
Authorizations
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
Path Parameters
Screening ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
Screening retrieved successfully
- screening/watchlist
- screening/politically-exposed-person
- screening/business-watchlist
- screening/business-adverse-media
Show child attributes
Show child attributes
Was this page helpful?
⌘I